using System;
using System.Configuration;

namespace Samples.AbstractFactory.DAL
{
	/// <summary>
	/// Summary description for Configuration.
	/// </summary>
	public class Configuration : IConfigurationSectionHandler
	{
		private string _type;
		private string _connectionString;

		public Configuration()
		{			
		}

		public string Type 
		{
			get 
			{				
				if (_type != null)
					return _type;
				else
					return string.Empty;
			}
		}

		public string ConnectionString 
		{
			get 
			{
				if (_connectionString != null)
					return _connectionString;
				else
					return string.Empty;
			}
		}		

		#region IConfigurationSectionHandler Members

		public object Create(object parent, object configContext, System.Xml.XmlNode section)
		{			
			_type = section.Attributes["type"].Value;
			_connectionString = section.Attributes["connectionString"].Value;

			if (_type == null || _type.Length == 0)
				throw new ConfigurationException("Nen nakonfigurovn typ tovrny.");
			if (_connectionString == null || _connectionString.Length == 0)
				throw new ConfigurationException("Nen nakonfigurovn pipojovac etzec.");

			return this;
		}

		#endregion
	}
}
